Bug 678836 - RHN Satellite: Generic/unclear message when attempting to register client on End-of-Life product (e.g., RHEL 3)
Summary: RHN Satellite: Generic/unclear message when attempting to register client on ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration
Version: 540
Hardware: All
OS: All
high
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On: 678834
Blocks: 462714
TreeView+ depends on / blocked
 
Reported: 2011-02-20 06:17 UTC by Xixi
Modified: 2018-11-14 16:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 678834
Environment:
Last Closed: 2013-03-15 16:28:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xixi 2011-02-20 06:17:35 UTC
+++ This bug was initially created as a clone of Bug #678834 +++

Description of problem:
There have been many support tickets where customers are trying to register RHEL 3 systems on RHN hosted or RHN satellite and getting the following "Error Class Code 70 - (Subscriptions exhausted)." which is very generic:
"All available subscriptions for the requested channel have been exhausted.
Please contact a Red Hat Network Sales associate.

If the request is to register a client to a EOL product (RHEL releases or others) then a clearer error message distinguishes from others, something like:
"You are trying to register Red Hat Enterprise Linux v. 3 which has entered End-of-Life since Oct 31 2010. etc.etc." with links to the relevant kbase articles such as:
https://access.redhat.com/kb/docs/DOC-42249
https://access.redhat.com/kb/docs/DOC-40489

Version-Release number of selected component (if applicable):
Red Hat Network current version

How reproducible:
Always

Steps to Reproduce:
1. Try to register a RHEL 3 client to RHN Satellite.
2.
3.
  
Actual results:
Generic error message, not informative and can be misleading.

Expected results:
(see above)
Distinctive error message including explanation of EOL and links to resources about possible next steps.

Additional info:

Comment 1 Clifford Perry 2011-03-08 00:20:19 UTC
If lucky - RHN Hosted within bug 678834 will have fix to piggy back off. 

Maybe implementing an error similar to proposed attachment in bug 600555 would also work. Same idea, just instead of system entitlement, report back the channel family/channel which failed. 

Cliff


Note You need to log in before you can comment on or make changes to this bug.